package com.friday.custody.dao;

import com.friday.custody.entity.MjAccountSeqInfoEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 
 * 
 * @author lyb
 * @email k0051582@gmail.com
 * @date 2022-02-16 10:32:27
 */
@Mapper
public interface MjAccountSeqInfoDao extends BaseMapper<MjAccountSeqInfoEntity> {

    boolean insertOrUpdate(MjAccountSeqInfoEntity entity);

    List<String> getBankAccoList(@Param("trustNo") String trustNo, @Param("admin") String admin);

    List<String> getFundCodeList(String trustNo);

    List<MjAccountSeqInfoEntity> queryBySeqNo(@Param("seqNo") String seqNo, @Param("trustNo") String trustNo, @Param("admin") String admin);
}
